Reinforcement BentShapeRebar/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(21 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommandAddon|Name=Arch Rebar BentShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup]]}}
{{GuiCommandAddon|Name=Arch Rebar BentShape|Workbenches=[[Arch_Workbench/ro|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup]]}}
</div>
</div>


{{GuiCommand
{{GuiCommand
|Name=Reinforcement BentShapeRebar
|Name=Arch Rebar BentShape
|MenuLocation=Arch → Rebar tools
|MenuLocation=Arch → Rebar tools → Bent-Shape Rebar<br>3D/BIM → Reinforcement tools → Bent-Shape Rebar
|Workbenches=[[Arch Workbench|Arch]], [[BIM Workbench|BIM]]
|Workbenches=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Workbench|Arch]], [[BIM_Workbench|BIM]]
|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup Rebar]], [[Arch Rebar]]
|Version=0.17
|Version=0.17
|SeeAlso=
}}
}}


<span id="Description"></span>
==Descriere==
==Descriere==


Line 18: Line 20:
</div>
</div>


This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]], via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].


[[Image:Arch_Rebar_BentShape_example.png|400px]]
[[Image:Arch_Rebar_BentShape_example.png|400px]]
Line 25: Line 27:
</div>
</div>


<span id="Usage"></span>
== Cum se folosește ==
== Cum se folosește ==


Line 42: Line 45:


[[Image:BentShapeDialog.png|250px]]
[[Image:BentShapeDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar BentShape tool}}
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
==Proprietăți==
==Proprietăți==


Line 57: Line 61:
* {{PropertyData|Spacing}}: Distanța între acele fiecărei bare.
* {{PropertyData|Spacing}}: Distanța între acele fiecărei bare.


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Scrip-Programare ==
== Scrip-Programare ==
</div>
</div>

{{Emphasis|See also:}} [[Arch API|Arch API]], [[Reinforcement API|Reinforcement API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 83: Line 90:


=== Example ===
=== Example ===

{{Code|code=
{{Code|code=
import FreeCAD, Arch, BentShapeRebar
import FreeCAD, Arch, BentShapeRebar
Line 101: Line 109:
=== Edition of the rebar ===
=== Edition of the rebar ===


You can change the properties of the rebar with the following function
You can change the properties of the rebar with the following function:

{{Code|code=
{{Code|code=
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
Line 121: Line 130:
12, 35, 100, 155, 2, True, 6, "Top")
12, 35, 100, 155, 2, True, 6, "Top")
}}
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ro]]
</div>


{{Arch Tools navi}}


<div class="mw-translate-fuzzy">
{{Userdocnavi}}
{{docnav|[[Arch_Rebar_LShape|LShape Rebar]]|[[Arch_Rebar_Stirrup|Stirrup Rebar]]|[[Arch_Workbench/es|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}
</div>


[[Category:Reinforcement]]
[[Category:External_Command_Reference{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:55, 12 March 2024

Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Stirrup
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Reinforcement BentShapeRebar

Menu location
Arch → Rebar tools → Bent-Shape Rebar
3D/BIM → Reinforcement tools → Bent-Shape Rebar
Workbenches
Reinforcement, Arch, BIM
Default shortcut
None
Introduced in version
0.17
See also
None

Descriere

Instrumentul Bent Shape Rebar permite utilizatorului să creeze o formă de armătură bent shape reinforcing bar în elementul de structură.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Cum se folosește

  1. Creați un elemente de structure
  2. Selectați orice fațetă a structurii
  3. Apoi selectați Bent Shape Rebar dintre instrumentele dedicate rebar tools
  4. Un panou de activități contextual va apărea în partea stângă a ecranului, după cum se arată mai jos
  5. Selectați orientarea dorită
  6. Definiți datele inițiale ca și capacul frontal, capacul din stânga, capacul din dreapta, capacul inferior, capacul superior, lungimea ancorei, unghiul îndoit, rotunjirea și diametrul barei
  7. Selectați modul de distribuire fie cantitate, fie spațiere
  8. Dacă spațiul este selectat, un utilizator poate de asemenea să opteze pentru spacing custom
  9. Selectați fațete utilizată petnru a verifica sau schimba faștea pentru distrubuția armăturii/ rebar distribution
  10. Click pe OK sau pe Apply pentru a genera armăturile
  11. Click pe Cancel pentru a ieși din task panel

Task panel for the tool

Proprietăți

  • DateOrientation: Acesta decide orientarea armăturii (de ex. jos, sus, drepta și stânga).
  • DateFront Cover: Distanța dintre armături și fațetele selectate.
  • DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DateAnchor Length: Aceasta este lungimea brațelor armăturii îndoite/bent shape rebar.
  • DateBent Angle: Stabilește unghiul de îndoire a bent shape rebar.
  • DateAmount: Cantitatea de armătură.
  • DateSpacing: Distanța între acele fiecărei bare.

Scrip-Programare

See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.

Instrumentul Bent Shape Rebar poate fi utilizat în macros și de la consola Python console utilizând următorele funcții:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Bent Shape Rebar are patru orientări diferite:
    • Bottom
    • Top
    • Left
    • Right
  • Adaugă un obiect Bent Shape reinforcing bar la obeictul structural selectat .
  • Dacă nu este dată nici o structură și nici o Facename, ea va avea ca intrare fațeta selectată de utilizator.
  • Aici argumentul CoverAlong este de tip tuplă.
  • Returnează noul obiect Rebar.

Example

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function:

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar is a previously created BentShapeRebar object.
  • The other parameters are the same as required by the makeBentShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")